Skip to main content
POST
/
api
/
chats
cURL
curl --request POST \
  --url https://recoup-api.vercel.app/api/chats \
  --header 'Content-Type: application/json' \
  --data '
{
  "artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "topic": "<string>"
}
'
{
  "status": "success",
  "chat": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "topic": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "artist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.recoupable.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json

Chat creation parameters

artistId
string<uuid>

UUID of the artist account the chat is associated with

chatId
string<uuid>

UUID for the new chat (client-generated). If not provided, one will be generated automatically.

accountId
string<uuid>

UUID of the account to create the chat for. Only applicable when the authenticated account has access to multiple accounts via organization membership. If not provided, the chat is created for the API key's own account.

topic
string

Topic name for the new chat room (e.g., 'Pulse Feb 2'). To edit the topic of an existing room, use PATCH /api/chats.

Response

Chat created successfully

status
enum<string>
required

Status of the request

Available options:
success
Example:

"success"

chat
object
required

The created chat room object